summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-fs/nfs-utils/files/rpc.gssd.initd')
-rwxr-xr-xnet-fs/nfs-utils/files/rpc.gssd.initd21
1 files changed, 8 insertions, 13 deletions
diff --git a/net-fs/nfs-utils/files/rpc.gssd.initd b/net-fs/nfs-utils/files/rpc.gssd.initd
index 955f54c7bbdd..43dae5ab16c3 100755
--- a/net-fs/nfs-utils/files/rpc.gssd.initd
+++ b/net-fs/nfs-utils/files/rpc.gssd.initd
@@ -1,7 +1,7 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/rpc.gssd.initd,v 1.4 2007/05/12 11:27:06 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/rpc.gssd.initd,v 1.5 2007/12/29 09:33:28 vapier Exp $
[ -e /etc/conf.d/nfs ] && . /etc/conf.d/nfs
@@ -14,17 +14,12 @@ depend() {
after quota
}
-mount_nfsd() {
- # Make sure nfs support is loaded in the kernel #64709
- if [ -e /proc/modules ] && ! grep -qs nfsd /proc/filesystems ; then
- modprobe nfsd &> /dev/null
- fi
-
- # This is the new "kernel 2.6 way" to handle the exports file
- if grep -qs nfsd /proc/filesystems ; then
- if ! grep -qs "nfsd /proc/fs/nfs" /proc/mounts ; then
- ebegin "Mounting nfsd filesystem in /proc"
- mount -t nfsd -o nodev,noexec,nosuid nfsd /proc/fs/nfs
+mount_pipefs() {
+ if grep -qs rpc_pipefs /proc/filesystems ; then
+ if ! grep -qs "rpc_pipefs /var/lib/nfs/rpc_pipefs" /proc/mounts ; then
+ mkdir -p /var/lib/nfs/rpc_pipefs
+ ebegin "Mounting RPC pipefs"
+ mount -t rpc_pipefs rpc_pipefs /var/lib/nfs/rpc_pipefs
eend $?
fi
fi
@@ -38,7 +33,7 @@ start_it() {
ret=$((ret + $?))
}
start() {
- mount_nfsd
+ mount_pipefs
local ret=0
start_it gssd ${gssd} ${OPTS_RPC_GSSD}